Bug 66246 - Able to entitle multiple satellites from single channel entitlement
Summary: Able to entitle multiple satellites from single channel entitlement
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: Fanny Augustin
URL: https://rhn.webqa.redhat.com/network/...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-06 18:57 UTC by Matt Jamison
Modified: 2007-07-31 19:11 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-19 17:19:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josef Komenda 2002-06-06 18:57:38 UTC
Description of Problem: A single satellite channel entitlement can be used to
register multiple systems. 


How Reproducible: On WebQA, login as sat_tab_test/pink4all


Steps to Reproduce:
1.  Select 'systems'
2.  Select 'dhcp59-208 (sat 1)'
3.  Click on the 'RHN Satellite' sub-tab
4.  Copy the Licence Certificate
5.  Right-click and 'Open a new window' on the 'Systems' left-nav
6.  In the new window, Select 'dhcp59-208 (sat 2)'
7.  In the new window, click on the 'RHN Satellite' sub-tab
8.  Switch to window #1
9.  Click 'deactivate satellite licence'
10. Click 'Confirm Deactivation'
11. Switch to window #2
12. Releoad window, paste satellite licence and click the Update button
13. Switch to window #1, paste satellite licence and click the Update button


Actual Results: Error message: 'Invalid certificate. Please supply a valid RHN
Satellite license certificate.', however, system is now a registered satellite
system. 


Expected Results: Should error and not register system.

Comment 1 Chip Turner 2002-06-19 14:55:46 UTC
fixed in CVS and latest builds

Comment 2 Josef Komenda 2002-06-19 21:41:48 UTC
This is fixed on QA. Closing.


Note You need to log in before you can comment on or make changes to this bug.